Loading...
Searching...
No Matches
DHCPv4
APIs » Sequential-style APIs » NETIF API

## Macros

#define | netifapi_dhcp_start(n)
#define | netifapi_dhcp_stop(n)
#define | netifapi_dhcp_inform(n)
#define | netifapi_dhcp_renew(n)
#define | netifapi_dhcp_release(n)
#define | netifapi_dhcp_release_and_stop(n)

## Detailed Description

To be called from non-TCPIP threads

## Macro Definition Documentation

## netifapi_dhcp_inform

#define netifapi_dhcp_inform | ( |  | n | ) |

Value:
netifapi_netif_common(n, dhcp_inform, NULL)
dhcp_inform
void dhcp_inform(struct netif *netif)
Definition dhcp.c:894
netifapi_netif_common
err_t netifapi_netif_common(struct netif *netif, netifapi_void_fn voidfunc, netifapi_errt_fn errtfunc)
Definition netifapi.c:307

See also
  dhcp_inform()

## netifapi_dhcp_release

#define netifapi_dhcp_release | ( |  | n | ) |

Value:
netifapi_netif_common(n, NULL, dhcp_release)
dhcp_release
err_t dhcp_release(struct netif *netif)
Definition dhcp.c:1400

Deprecated
  Use netifapi_dhcp_release_and_stop() instead.

## netifapi_dhcp_release_and_stop

#define netifapi_dhcp_release_and_stop | ( |  | n | ) |

Value:
netifapi_netif_common(n, dhcp_release_and_stop, NULL)
dhcp_release_and_stop
void dhcp_release_and_stop(struct netif *netif)
Definition dhcp.c:1325

See also
  dhcp_release_and_stop()

## netifapi_dhcp_renew

#define netifapi_dhcp_renew | ( |  | n | ) |

Value:
netifapi_netif_common(n, NULL, dhcp_renew)
dhcp_renew
err_t dhcp_renew(struct netif *netif)
Definition dhcp.c:1157

See also
  dhcp_renew()

## netifapi_dhcp_start

#define netifapi_dhcp_start | ( |  | n | ) |

Value:
netifapi_netif_common(n, NULL, dhcp_start)
dhcp_start
err_t dhcp_start(struct netif *netif)
Definition dhcp.c:810

See also
  dhcp_start()

## netifapi_dhcp_stop

#define netifapi_dhcp_stop | ( |  | n | ) |

Value:
netifapi_netif_common(n, dhcp_stop, NULL)
dhcp_stop
void dhcp_stop(struct netif *netif)
Definition dhcp.c:1412

Deprecated
  Use netifapi_dhcp_release_and_stop() instead.